# SPDX-License-Identifier: MIT
%global project_name charis
%global archive_name %{lua:t=string.gsub(rpm.expand("%{fonts_family}"), "[%p%s]+", ""); print(t)}-%{version}

%global source_version 5.000
%global source_release 7
%global source_url     https://software.sil.org/%{project_name}/

%global default_fonts_foundry      SIL
%global default_fonts_license      OFL
%global default_fonts_licenses     OFL.txt
%global default_fonts_docs         *.txt
%global default_fonts_docs_exclude %{default_fonts_licenses}

%global fonts_family             Charis SIL Compact
%global fonts_summary            Charis SIL Compact, a font family similar to Bitstream Charter
%global fonts_tags               %{expand:
Suggests: font(charissil)
}
%global fonts_fonts              *.ttf
%global fonts_experimental_confs 62-%{fonts_name}.xml
%global fonts_description        %{expand:
Charis SIL provides glyphs for a wide range of Latin and Cyrillic characters.
Charis is similar to Bitstream Charter, one of the first font families designed
specifically for laser printers. It is highly readable and holds up well in
less-than-ideal reproduction environments. It also has a full set of styles
— regular, italic, bold, bold italic — and so is more useful in general
publishing than Doulos SIL. Charis is a serif proportionally spaced font
optimized for readability in long printed documents.

The Charis SIL Compact font family was derived from Charis SIL using SIL
TypeTuner, by setting the “Line spacing” feature to “Tight”, and it cannot be
TypeTuned again. It may exhibit some diacritics clipping on screen (but should
print fine).}

%auto_init
%auto_pkg

%sourcelist
https://software.sil.org/downloads/r/%{project_name}/%{archive_name}.zip
62-%{fonts_name}.xml
%auto_sources

%prep
%auto_prep
%setup -q -n %{archive_name}
install -m 644 %{_sourcedir}/*xml .
%linuxtext *.txt

%build
%auto_build

%install
%auto_install

%check
%auto_check

%auto_files

%changelog
%auto_changelog
